<?php
    $oldurl="";
    $error="";
    $errorMsg="";
    if (isset($_GET['oldurl'])) {   
        $oldurl = $_GET['oldurl'];
    }
    if (empty($oldurl)) {
        $oldurl='http://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];  
    }  
    if (isset($_GET['error'])) {   
        $error = $_GET['error'];
    }
    
    if (isset($_GET['msg'])) {   
        $errorMsg = $_GET['msg'];
    }
    $showInfo="";
    if (!empty($errorMsg)) {
        $showInfo = $errorMsg;
        if (strcmp(trim($showInfo), "Access rejected") === 0) {
            $showInfo = "错误的用户名或密码";
        } else if (strcmp(trim($showInfo), "Failure with receiving network data") === 0) {
            $showInfo = "接收网络数据失败";
        } else if (strcmp(trim($showInfo), "Timed out while waiting for RADIUS response") === 0) {
            $showInfo = "等待RADIUS服务器响应超时，请检查到服务器的连通性";
        } else if (strcmp(trim($showInfo), "Authentication failure, username or password incorrect.") === 0) {
            $showInfo = "错误的用户名或密码";
        }
    } else {
        if ($error == 1) {
            $showInfo = "请输入用户名和密码";           
        }
        else if ($error == 2) {
            $showInfo = "未找到RADIUS配置文件，请从Orchestrator上开启RADIUS认证服务";		
        }
        else if($error == 3) {
            $showInfo = "打开RADIUS配置文件失败，请联系管理员";
        }
        else if ($error == 4) {
            $showInfo = "RADIUS配置文件中，未找到认证服务器配置。请至少从Orchestrator上添加一个认证服务器";
        }
        else if ($error == 5) {
            $showInfo = "通知数据链路失败，请联系管理员";
        }
        else if ($error == 6) {
            $showInfo = "无法通知数据链路，通知程序未找到或无权限执行, 请联系管理员";
        }
        else if ($error == 9) {
            $showInfo = "用户名不能包含中文等特殊字符";
        }
        else if ($error == 7) {
            $showInfo = "用户名不能包含单引号";
        }
        else if ($error == 8) {
            $showInfo = "IP地址格式错误，包含单引号";
        }
    }     
?>


<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>用户登录认证系统</title>
  <style>
    /** 基础配置 */
    * {
      margin: 0;
      padding: 0;
      box-sizing: border-box;
    }
    /** 业务样式 */
    .root {
      position: fixed;
      top: 0;
      left: 0;
      width: 100vw;
      height: 100vh;
      overflow-y: auto; 
      background-image: linear-gradient(180deg, #207498 0%, #B6D1DE 100%);
      background-position: center;
      background-repeat: no-repeat;
      background-size: cover;
    }
    .container {
      overflow: hidden;
      height:100%;
      position: relative;
      min-height: 600px; 
    }
    .logo{
      position: absolute;
      width: 9.5vw;
      top: 20px;
      left: 20px;
    }
    .content {
      color: #6A6D70;
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      min-width: 400px;
      width: 26.3%;
      max-width: 500px;
      text-align: center;
    }
    .box {
      position: relative;
      box-shadow: 0 20px 80px 0px rgba(0, 0, 0, 0.3);
      min-height: 354px;
      background: #fff;
      border-radius: 4px;
      margin: 0 auto;
      padding: 2rem 24%;
    }
    .header {
      margin-bottom: 5rem;
      color: #fff;
    }
    .header h1 {
      font-size: 2.25rem;
    }
    .box .title {
      margin-bottom: 1rem;
      color: #006A92;
    }
    .box .errors {
      margin-bottom: 1.5rem;
      color: #FAAD14;
      min-height: 1px;
    }
    .box .items {
      text-align: left;
      margin-bottom: 2rem;
      font-size: 0.875rem;
    }
    .box .items .item {
      margin-bottom: 1rem;
    }
    .box .key {
      margin-bottom: 0.5rem;
    }
    .box .ipt {
      border:  solid 1px #979797;
      height: 2rem;
      border-radius: 4px;
      width: 100%;
      padding:0.3rem;
    }
    .box .ipt:focus-visible {
      outline-color: #006A92;
    }
    .box .btns .btn {
      height: 2rem;
      width: 100%;
      background: #006A92;
      border-radius: 4px;
      color: #fff;
      border: none;
      outline: none;
      cursor: pointer;
    }
    .footer {
      font-size: 0.875rem;
      color: #74777A;
      position: absolute;
      bottom: 1.2rem;
      width: 100%;
      text-align: center;
    }
  </style>
</head>
<body>
  <form action="/action.php?oldurl=<?php echo $oldurl?>" method="POST" onsubmit="return checked()">    
  <div class="root">
    <div class="container">
      <img class="logo" src="./logo.png" />
      <div class="content">
        <section class="header">
          <h1>用户登录认证系统</h1>
        </section>
        <div class="box">
          <section class="title">
            <h3>登录</h3>
          </section>
          <div class="errors">
            <?php echo $showInfo ?>
          </div>
          <div class="items">
            <div class="item">
              <p class="key">账号名称:</p>
              <p class="value">
                <input class="ipt" id="username" name="username" type="text" />
              </p>
            </div>
            <div class="item">
              <p class="key">密码:</p>
              <p class="value">
                <input class="ipt" name="password" id="password" type="password" />
              </p>
            </div>
          </div>
          <div class="btns">
            <button type="submit" class="btn">登录</button>
          </div>
        </div>
      </div>
      <footer class="footer">
        <span>万达集团股份有限公司 © 2010-2021 WANDA 版权所有 辽ICP备10012005号-1</span>
      </footer>
    </div>
  </div>
</body>
<input type="hidden" name="authpage" value="auth.php" />
</form>
</html>

 
<script>
function checked(){
    var user= document.getElementById("username");
    var pd=document.getElementById("password");
    if(user.value == "" || pd.value == ""){
       var obj = document.getElementById("errorInfo");      
       obj.innerHtml="Please input username and password";
       obj.innerText="Please input username and password";
       return false;
    }
    return true;
 }

</script>


 



